Skip to main content
GET
Get supported TTS placeholders for purpose

Authorizations

Authorization
string
header
default:App
required

This is the most secure authorization type and the one with the most flexibility.

API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.

You can manage your API keys from GUI, or programmatically with dedicated API.

API key Authorization header example:

Path Parameters

ttsPurpose
enum<string>
required

Purpose for which placeholders will be used in text-to-speech.

Available options:
WAITING_STRATEGY_GREETING_MESSAGE,
WAITING_STRATEGY_ANNOUNCEMENT_MESSAGE,
WAITING_STRATEGY_MAXIMUM_WAIT_TIME_MESSAGE,
WORKING_HOURS_AWAY_MESSAGE,
TRANSFER_STRATEGY_MESSAGE,
ON_HOLD_MESSAGE,
CALLBACK_CONFIRMATION_MESSAGE,
WAITING_STRATEGY_GREETING_MESSAGE,
WAITING_STRATEGY_ANNOUNCEMENT_MESSAGE,
WAITING_STRATEGY_MAXIMUM_WAIT_TIME_MESSAGE,
WORKING_HOURS_AWAY_MESSAGE,
TRANSFER_STRATEGY_MESSAGE,
ON_HOLD_MESSAGE,
CALLBACK_CONFIRMATION_MESSAGE

Response

OK

type
enum<string>

Placeholder type. Determines the purpose of the placeholder.

Available options:
POSITION_IN_QUEUE,
POSITION_IN_QUEUE
sayAs
enum<string>

Dictates how resolved value will be spoken when using the placeholder. DEFAULT means that there is no control as to how the value will be spoken and it depends on the TTS engine. ORDINAL means that the value will be spoken as an ordinal number. CARDINAL means that the value will be spoken as a cardinal number.

Available options:
DEFAULT,
ORDINAL,
CARDINAL,
DEFAULT,
ORDINAL,
CARDINAL
placeholderValue
string

Value to be placed in TTS text field which will be resolved in runtime to an actual value. This value is used to identify the placeholder. For example, {{QUEUE_POSITION_DEFAULT}} is a placeholder for the position in the queue with DEFAULT sayAs option. Here is example Text-to-Speech text: "You are {{QUEUE_POSITION_DEFAULT}} in the queue."

placeholderPaddingSize
integer<int32>

Specifies how many characters will be added by the system in the background to correctly resolve the placeholder. This number is added to current TTS text length and counts toward max TTS text length.

requiresSSML
boolean

Specifies whether this placeholder requires TTS voice to support SSML.